%global namedreltag .alpha5
%global namedversion %{version}%{?namedreltag}

Name:             apt-maven-plugin
Version:          1.0
Release:          0.9%{namedreltag}%{?dist}
Summary:          Apt Maven Plugin
Group:            Development/Libraries
License:          MIT
URL:              http://mojo.codehaus.org/apt-maven-plugin

# svn export http://svn.codehaus.org/mojo/tags/apt-maven-plugin-1.0-alpha-5/ apt-maven-plugin-1.0.alpha5
# tar cafJ apt-maven-plugin-1.0.alpha5.tar.xz apt-maven-plugin-1.0.alpha5
Source0:          apt-maven-plugin-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    mojo-parent
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-invoker-plugin
BuildRequires:    maven-verifier-plugin
BuildRequires:    maven-plugin-cobertura
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-docck-plugin
BuildRequires:    objectweb-asm
BuildRequires:    maven-verifier

%description
This plugin provides goals to run the Annotation Processing Tool (apt)
against project sources.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
# Some deps missing to build integration tests which are required
# to build unit tests
%mvn_build -f -- -Dskip-it

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0-0.9.alpha5
- Use Requires: java-headless rebuild (#1067528)

* Wed Aug 07 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0-0.8.alpha5
- Using xmvn

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.alpha5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 20 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0-0.6.alpha5
- Upstream reelase alpha5

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.5.alpha4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0-0.4.alpha4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Marek Goldmann <mgoldman@redhat.com> 1.0-0.3.alpha4
- Fixed BR

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.2.alpha4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Marek Goldmann <mgoldman@redhat.com> 1.0-0.1.alpha4
- Initial packaging

